Package ru.bitel.bgbilling.modules.tinkoff.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.tinkoff.server.bean.Constants

public class Constants extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ParameterMap`
  `defaultAutopaymentSetup`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_ENABLE`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_ENABLE`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_DEFAULT`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_ENABLE`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_ENABLE`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_REST_USER_NAME`
  `static final String`
  `KEY_TINKOFF_AUTOPAYMENT_REST_USER_PSWD`
  `static final String`
  `KEY_TINKOFF_BILLING_NAME`
  `static final String`
  `KEY_TINKOFF_CANCEL_URL`
  `static final String`
  `KEY_TINKOFF_CARD_ENABLE`
  `static final String`
  `KEY_TINKOFF_CHARGE_URL`
  `static final String`
  `KEY_TINKOFF_EVENT_WORKER`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_ENABLE`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_RECEIPT_EMAIL_COMPANY`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_RECEIPT_FFD_VERSION`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_RECEIPT_PAYMENT_METHOD`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_RECEIPT_PAYMENT_OBJECT`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_RECEIPT_QTY`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_RECEIPT_TAX`
  `static final String`
  `KEY_TINKOFF_FISCALIZATION_RECEIPT_TAXATION`
  `static final String`
  `KEY_TINKOFF_GET_STATE_URL`
  `static final String`
  `KEY_TINKOFF_INIT_DESCRIPTION`
  `static final String`
  `KEY_TINKOFF_INIT_FAIL_URL`
  `static final String`
  `KEY_TINKOFF_INIT_LANGUAGE`
  `static final String`
  `KEY_TINKOFF_INIT_NOTIFICATION_URL`
  `static final String`
  `KEY_TINKOFF_INIT_SUCCESS_URL`
  `static final String`
  `KEY_TINKOFF_INIT_URL`
  `static final String`
  `KEY_TINKOFF_PAYMENT_COMMENT`
  `static final String`
  `KEY_TINKOFF_PAYMENT_TYPE_ID`
  `static final String`
  `KEY_TINKOFF_REQUEST_READ_TIMEOUT`
  `static final String`
  `KEY_TINKOFF_REQUEST_TIMEOUT`
  `static final String`
  `KEY_TINKOFF_RESEND_URL`
  `static final String`
  `KEY_TINKOFF_SBP_ENABLE`
  `static final String`
  `KEY_TINKOFF_SBP_GET_QR_URL`
  `static final String`
  `KEY_TINKOFF_SUM_MAX`
  `static final String`
  `KEY_TINKOFF_SUM_MIN`
  `static final String`
  `KEY_TINKOFF_TERMINAL_KEY`
  `static final String`
  `KEY_TINKOFF_TERMINAL_PSWD`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_DEFAULT`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MAX`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MIN`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MAX`
  `static final int`
  `TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MIN`
  `static final String`
  `TINKOFF_AUTOPAYMENT_REST_USER_NAME`
  `static final String`
  `TINKOFF_AUTOPAYMENT_REST_USER_PSWD`
  `static final String`
  `TINKOFF_CANCEL_URL`
  `static final String`
  `TINKOFF_CHARGE_URL`
  `static final String`
  `TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_TITLE`
  `static final String`
  `TINKOFF_FISCALIZATION_RECEIPT_NAME`
  `static final String`
  `TINKOFF_GET_QR_URL`
  `static final String`
  `TINKOFF_GET_STATE_URL`
  `static final String`
  `TINKOFF_INIT_DESCRIPTION`
  `static final String`
  `TINKOFF_INIT_LANGUAGE`
  `static final String`
  `TINKOFF_INIT_URL`
  `static final String`
  `TINKOFF_PARAM_AMOUNT`
  `static final String`
  `TINKOFF_PARAM_CUSTOMER_KEY`
  `static final String`
  `TINKOFF_PARAM_DATA`
  `static final String`
  `TINKOFF_PARAM_DATA_TYPE`
  `static final String`
  `TINKOFF_PARAM_DESCRIPTION`
  `static final String`
  `TINKOFF_PARAM_FAIL_URL`
  `static final String`
  `TINKOFF_PARAM_LANGUAGE`
  `static final String`
  `TINKOFF_PARAM_NOTIFICATION_URL`
  `static final String`
  `TINKOFF_PARAM_ORDER_ID`
  `static final String`
  `TINKOFF_PARAM_PAY_TYPE`
  `static final String`
  `TINKOFF_PARAM_PAYMENT_ID`
  `static final String`
  `TINKOFF_PARAM_REBILL_ID`
  `static final String`
  `TINKOFF_PARAM_RECEIPT`
  `static final String`
  `TINKOFF_PARAM_RECURRENT`
  `static final String`
  `TINKOFF_PARAM_STATUS`
  `static final String`
  `TINKOFF_PARAM_SUCCESS_URL`
  `static final String`
  `TINKOFF_PARAM_TERMINAL_KEY`
  `static final String`
  `TINKOFF_PARAM_TOKEN`
  `static final String`
  `TINKOFF_PAYMENT_COMMENT`
  `static final int`
  `TINKOFF_REQUEST_READ_TIMEOUT`
  `static final int`
  `TINKOFF_REQUEST_TIMEOUT`
  `static final String`
  `TINKOFF_RESEND_URL`
  `static final int`
  `TINKOFF_SUM_MAX`
  `static final int`
  `TINKOFF_SUM_MIN`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TINKOFF_REQUEST_TIMEOUT

    public static final int TINKOFF_REQUEST_TIMEOUT
    See Also:
      - Constant Field Values

  - ### TINKOFF_REQUEST_READ_TIMEOUT

    public static final int TINKOFF_REQUEST_READ_TIMEOUT
    See Also:
      - Constant Field Values

  - ### TINKOFF_SUM_MIN

    public static final int TINKOFF_SUM_MIN
    See Also:
      - Constant Field Values

  - ### TINKOFF_SUM_MAX

    public static final int TINKOFF_SUM_MAX
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_DEFAULT

    public static final int TINKOFF_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final int TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final int TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final int TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final int TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final int TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final int TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final int TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final int TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final int TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final int TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final int TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final int TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### TINKOFF_INIT_LANGUAGE

    public static final String TINKOFF_INIT_LANGUAGE
    See Also:
      - Constant Field Values

  - ### TINKOFF_INIT_DESCRIPTION

    public static final String TINKOFF_INIT_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### TINKOFF_INIT_URL

    public static final String TINKOFF_INIT_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_GET_QR_URL

    public static final String TINKOFF_GET_QR_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_CANCEL_URL

    public static final String TINKOFF_CANCEL_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_GET_STATE_URL

    public static final String TINKOFF_GET_STATE_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_RESEND_URL

    public static final String TINKOFF_RESEND_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_CHARGE_URL

    public static final String TINKOFF_CHARGE_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_PAYMENT_COMMENT

    public static final String TINKOFF_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_REST_USER_NAME

    public static final String TINKOFF_AUTOPAYMENT_REST_USER_NAME
    See Also:
      - Constant Field Values

  - ### TINKOFF_AUTOPAYMENT_REST_USER_PSWD

    public static final String TINKOFF_AUTOPAYMENT_REST_USER_PSWD
    See Also:
      - Constant Field Values

  - ### TINKOFF_FISCALIZATION_RECEIPT_NAME

    public static final String TINKOFF_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_SUM_MIN

    public static final String KEY_TINKOFF_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_SUM_MAX

    public static final String KEY_TINKOFF_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_EVENT_WORKER

    public static final String KEY_TINKOFF_EVENT_WORKER
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_REQUEST_TIMEOUT

    public static final String KEY_TINKOFF_REQUEST_TIMEOUT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_REQUEST_READ_TIMEOUT

    public static final String KEY_TINKOFF_REQUEST_READ_TIMEOUT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_BILLING_NAME

    public static final String KEY_TINKOFF_BILLING_NAME
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_PAYMENT_TYPE_ID

    public static final String KEY_TINKOFF_PAYMENT_TYPE_ID
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_PAYMENT_COMMENT

    public static final String KEY_TINKOFF_PAYMENT_COMMENT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_INIT_LANGUAGE

    public static final String KEY_TINKOFF_INIT_LANGUAGE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_INIT_DESCRIPTION

    public static final String KEY_TINKOFF_INIT_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_INIT_URL

    public static final String KEY_TINKOFF_INIT_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_CANCEL_URL

    public static final String KEY_TINKOFF_CANCEL_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_INIT_NOTIFICATION_URL

    public static final String KEY_TINKOFF_INIT_NOTIFICATION_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_INIT_SUCCESS_URL

    public static final String KEY_TINKOFF_INIT_SUCCESS_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_INIT_FAIL_URL

    public static final String KEY_TINKOFF_INIT_FAIL_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_GET_STATE_URL

    public static final String KEY_TINKOFF_GET_STATE_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_CHARGE_URL

    public static final String KEY_TINKOFF_CHARGE_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_RESEND_URL

    public static final String KEY_TINKOFF_RESEND_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_TERMINAL_KEY

    public static final String KEY_TINKOFF_TERMINAL_KEY
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_TERMINAL_PSWD

    public static final String KEY_TINKOFF_TERMINAL_PSWD
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_CARD_ENABLE

    public static final String KEY_TINKOFF_CARD_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_SBP_ENABLE

    public static final String KEY_TINKOFF_SBP_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_SBP_GET_QR_URL

    public static final String KEY_TINKOFF_SBP_GET_QR_URL
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_ENABLE

    public static final String KEY_TINKOFF_AUTOPAYMENT_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_REST_USER_NAME

    public static final String KEY_TINKOFF_AUTOPAYMENT_REST_USER_NAME
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_REST_USER_PSWD

    public static final String KEY_TINKOFF_AUTOPAYMENT_REST_USER_PSWD
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_DEFAULT

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_ENABLE

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MIN

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MAX

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_ENABLE

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MIN

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MIN
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MAX

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_ENABLE

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_DEFAULT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX

    public static final String KEY_TINKOFF_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_ENABLE

    public static final String KEY_TINKOFF_FISCALIZATION_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_RECEIPT_NAME

    public static final String KEY_TINKOFF_FISCALIZATION_RECEIPT_NAME
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_RECEIPT_QTY

    public static final String KEY_TINKOFF_FISCALIZATION_RECEIPT_QTY
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_RECEIPT_PAYMENT_METHOD

    public static final String KEY_TINKOFF_FISCALIZATION_RECEIPT_PAYMENT_METHOD
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_RECEIPT_PAYMENT_OBJECT

    public static final String KEY_TINKOFF_FISCALIZATION_RECEIPT_PAYMENT_OBJECT
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_RECEIPT_TAX

    public static final String KEY_TINKOFF_FISCALIZATION_RECEIPT_TAX
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_RECEIPT_FFD_VERSION

    public static final String KEY_TINKOFF_FISCALIZATION_RECEIPT_FFD_VERSION
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_RECEIPT_EMAIL_COMPANY

    public static final String KEY_TINKOFF_FISCALIZATION_RECEIPT_EMAIL_COMPANY
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_RECEIPT_TAXATION

    public static final String KEY_TINKOFF_FISCALIZATION_RECEIPT_TAXATION
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE

    public static final String KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_TITLE

    public static final String KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_TITLE
    See Also:
      - Constant Field Values

  - ### KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED

    public static final String KEY_TINKOFF_FISCALIZATION_CUSTOMER_ADDRESS_REQUIRED
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_TERMINAL_KEY

    public static final String TINKOFF_PARAM_TERMINAL_KEY
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_AMOUNT

    public static final String TINKOFF_PARAM_AMOUNT
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_ORDER_ID

    public static final String TINKOFF_PARAM_ORDER_ID
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_DESCRIPTION

    public static final String TINKOFF_PARAM_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_TOKEN

    public static final String TINKOFF_PARAM_TOKEN
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_LANGUAGE

    public static final String TINKOFF_PARAM_LANGUAGE
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_CUSTOMER_KEY

    public static final String TINKOFF_PARAM_CUSTOMER_KEY
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_RECURRENT

    public static final String TINKOFF_PARAM_RECURRENT
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_NOTIFICATION_URL

    public static final String TINKOFF_PARAM_NOTIFICATION_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_SUCCESS_URL

    public static final String TINKOFF_PARAM_SUCCESS_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_FAIL_URL

    public static final String TINKOFF_PARAM_FAIL_URL
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_PAY_TYPE

    public static final String TINKOFF_PARAM_PAY_TYPE
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_DATA

    public static final String TINKOFF_PARAM_DATA
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_RECEIPT

    public static final String TINKOFF_PARAM_RECEIPT
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_PAYMENT_ID

    public static final String TINKOFF_PARAM_PAYMENT_ID
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_STATUS

    public static final String TINKOFF_PARAM_STATUS
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_REBILL_ID

    public static final String TINKOFF_PARAM_REBILL_ID
    See Also:
      - Constant Field Values

  - ### TINKOFF_PARAM_DATA_TYPE

    public static final String TINKOFF_PARAM_DATA_TYPE
    See Also:
      - Constant Field Values

  - ### defaultAutopaymentSetup

    public static final ParameterMap defaultAutopaymentSetup
    See Also:
      - `ContractAutopaymentServiceImpl.contractAutopaymentModeList(int)`

- ## Constructor Details

  - ### Constants

    public Constants()